Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas
Class MainServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.wso2.wsas.MainServlet

All Implemented Interfaces:
  Controllable, java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class MainServlet
extends javax.servlet.http.HttpServlet
implements Controllable

See Also:
  Serialized Form

Field Summary
`protected ServerManager` | `serverManager`
`protected java.lang.String` | `serverName`

Constructor Summary
`MainServlet()`

Method Summary
`void` | `destroy()`
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.Thread` | `getShutdownHook()`
`void` | `init(javax.servlet.ServletConfig servletConfig)`
`void` | `restartServer()`
`void` | `setAxis2RepoLocation(java.lang.String axis2RepoLocation)`
`void` | `setConfigurationContext(org.apache.axis2.context.ConfigurationContext newConfigCtx)`
`void` | `setMonitor(Monitor monitor)`
`void` | `shutdown()`
`void` | `start(javax.servlet.ServletConfig servletConfig)`
`void` | `startServer()`
`void` | `stopListeners()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serverManager

    protected ServerManager serverManager

### serverName

    protected java.lang.String serverName

Constructor Detail

### MainServlet

    public MainServlet()

Method Detail

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### init

    public void init(javax.servlet.ServletConfig servletConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Throws:
    `javax.servlet.ServletException`

### start

    public void start(javax.servlet.ServletConfig servletConfig)
               throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### setAxis2RepoLocation

    public void setAxis2RepoLocation(java.lang.String axis2RepoLocation)

  Specified by:
    `setAxis2RepoLocation` in interface `Controllable`

### setMonitor

    public void setMonitor(Monitor monitor)

  Specified by:
    `setMonitor` in interface `Controllable`

### startServer

    public void startServer()
                     throws org.wso2.utils.ServerException

  Specified by:
    `startServer` in interface `Controllable`
  Throws:
    `org.wso2.utils.ServerException`

### stopListeners

    public void stopListeners()
                       throws org.wso2.utils.ServerException

  Specified by:
    `stopListeners` in interface `Controllable`
  Throws:
    `org.wso2.utils.ServerException`

### restartServer

    public void restartServer()

  Specified by:
    `restartServer` in interface `Controllable`

### getShutdownHook

    public java.lang.Thread getShutdownHook()

  Specified by:
    `getShutdownHook` in interface `Controllable`

### setConfigurationContext

    public void setConfigurationContext(org.apache.axis2.context.ConfigurationContext newConfigCtx)
                                 throws org.wso2.utils.ServerException

  Specified by:
    `setConfigurationContext` in interface `Controllable`
  Throws:
    `org.wso2.utils.ServerException`

### shutdown

    public void shutdown()
                  throws org.wso2.utils.ServerException

  Specified by:
    `shutdown` in interface `Controllable`
  Throws:
    `org.wso2.utils.ServerException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD